/* $Id: about.h,v 1.1 2000/01/05 21:38:11 rsmith Exp $
 * This file is part of a general about-box message for GTK+.
 * Copyright (C) 2000  R.F. Smith
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * You can contact the author at the following addresses:
 *     e-mail: rsmith@xs4all.nl
 * snail-mail: R.F. Smith
 *             Dr. Hermansweg 36
 *             5624 HR Eindhoven
 *             The Netherlands
 *
 */
#ifndef _ABOUT_DLG_H
#define _ABOUT_DLG_H

/* You shoud define the name of the program */
/* with the -DNAME="value" option of GCC when compiling about.c */
#ifndef PROGRAM
#define PROGRAM "Unknown"
#endif /* PROGRAM */

/* And the version number too */
#ifndef VERSION
#define VERSION "(unknown)"
#endif /* VERSION */

/* Year of copyright, copyright holder */
#define OWNER "2000, R.F. Smith"

extern GtkWidget *about_btn;    /* button that launches about box */
extern GtkWidget *about_win;    /* about box window */

#ifdef __cplusplus
extern "C" {
#pragma } /* to stop Emacs indenting it wrong */
#endif /* __cplusplus */

/* Callback that is called when the `About' button is clicked. */
extern void about_clicked (GtkWidget *widget, gpointer *data);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* _ABOUT_DLG_H */
